Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Managed Account Data

Entity lists, spend stats, and timeseries for MSP managed accounts

Get Entity list

get
Query parameters
accountIdentifierstringOptional

Account id of the msp account

managedAccountIdstringOptional
entitystring · enumOptional

List of all possible Fields

Possible values:
searchParamstringOptional
limitinteger · int32Optional
offsetinteger · int32Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/managed-account-data/entity-values
GET /managed-account-data/entity-values HTTP/1.1
Host: app.harness.io
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get timeseries data related to total spend and markup for managed account

get
Query parameters
accountIdentifierstringOptional

Account id of the msp account

managedAccountIdstringRequired

Unique identifier for the managed account

startTimeinteger · int64Required

Start time of the period

endTimeinteger · int64Required

End time of the period

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/managed-account-data/timeseries
GET /managed-account-data/timeseries?managedAccountId=text&startTime=1&endTime=1 HTTP/1.1
Host: app.harness.io
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get total markup and spend for MSP managed accounts

get
Query parameters
accountIdentifierstringOptional

Account id of the msp account

managedAccountIdstringRequired

Unique identifier for the managed account

startTimeinteger · int64Required

Start time of the period

endTimeinteger · int64Required

End time of the period

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/managed-account-data/stats
GET /managed-account-data/stats?managedAccountId=text&startTime=1&endTime=1 HTTP/1.1
Host: app.harness.io
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?